%define upstream_name    Data-BitStream
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    A bit stream class including integer coding
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moo) >= 1.0.6
BuildRequires: perl(Moo::Role)
BuildRequires: perl(MooX::Types::MooseLike)
BuildRequires: perl(Test::More) >= 0.940.0
BuildArch:  noarch

%{?perl_default_filter}

%description
A Mouse/Moose class providing read/write access to bit streams. This
includes many integer coding methods as well as straightforward ways to
implement new codes.

Bit streams are often used in data compression and in embedded products
where memory is at a premium. While this Perl implementation may not be
appropriate for many of these applications (speed and Perl), it can be very
useful for prototyping and experimenting with different codes. A future
implementation using XS for internals may resolve some performance
concerns.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.80.0-9.mga9
+ Revision: 1817060
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-8.mga8
+ Revision: 1493638
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.80.0-7.mga7
+ Revision: 1266830
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.80.0-6.mga6
+ Revision: 1024788
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.80.0-5.mga6
+ Revision: 949936
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 pterjan <pterjan> 0.80.0-4.mga5
+ Revision: 791807
- Add standard excludes

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-3.mga5
+ Revision: 740537
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 0.80.0-1.mga5
+ Revision: 664247
- update to 0.08

* Sat Oct 19 2013 umeabot <umeabot> 0.70.0-2.mga4
+ Revision: 525170
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.70.0-1.mga4
+ Revision: 432455
- update to 0.07

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 365259
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.60.0-1.mga3
+ Revision: 254799
- update to 0.06

* Mon May 28 2012 kharec <kharec> 0.50.0-1.mga3
+ Revision: 248319
- update to 0.05

* Thu Nov 10 2011 kharec <kharec> 0.40.0-1.mga2
+ Revision: 166071
- imported package perl-Data-BitStream


* Thu Nov 10 2011 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
